<?php
require_once("../../includes/academia_constantes.php");
require_once("../../includes/funciones_generales.php");
require_once("../../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion
//---------------
//cache();
//-----------------
$sesion->set('permiso', permisos($_POST['privilegio']));

require_once("../../includes/academia.locale.php");

if (!comprobar_sesion()) {
    mensaje($dtsLang[globals][ses_cad], $dtsLang[project][institucion]);
    exit;
}
$cd_docente = "";
if ($sesion->getVar('ac_tipo_user') == '1') {
    $cd_docente = $sesion->getVar("info_doc.cod_profesor");
}

require_once("../../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));
?>
<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Documento sin título</title>
    </head>
    <script>
        $(function() {
            chart = null;
            var rutModulo = "mod_estadisticas/promedio_grupo/";
            var tmplSubtitle = '<strong>Sede:</strong> {0} <strong>Jornada:</strong> {1} <strong>Año Lectivo:</strong> {2}';
            var objSedes, objJornada;
            var optionsChart = {
                chart: {
                    renderTo: 'cont_estk_not_finals',
                    type: 'column',
                    marginBottom: 200,
                },
                title: {
                    text: 'PROMEDIO DE CADA GRUPO POR PERIODO'
                },
                subtitle: {
                    text: ''
                },
                xAxis: {
                    categories: [],
                    title: {
                        text: null
                    },
                    labels: {
                        rotation: -55,
                        align: 'right',
                        style: {
                            fontSize: '10px',
                            fontFamily: 'Verdana, sans-serif'
                        }
                    }
                },
                yAxis: {
                    min: 0,
                    title: {
                        text: 'Promedio grupo',
                    },
                    labels: {
                        overflow: 'justify'
                    }
                },
                tooltip: {
                    formatter: function() {
                        return '' +
                                this.series.name + ' - Promedio:' + this.y;
                    }
                },
                plotOptions: {
                    column: {
                        dataLabels: {
                            enabled: true,
                            rotation: -90,
                            align: 'right',
                            x: 0,
                            y: -30,
                        },
                        formatter: function() {
                            v = this.y;
                            return  v.toFixed(1);
                        }
                    }
                },
                legend: {
                    layout: 'horizontal',
                    align: 'right',
                    verticalAlign: 'bottom',
                    x: -20,
                    y: -20,
                    floating: true,
                    borderWidth: 1,
                    backgroundColor: '#FFFFFF',
                    shadow: true
                },
                credits: {
                    enabled: true
                },
                series: [],
                exporting: {
                    url: "includes/export/",
                    width:2000,
                    buttons: {
                        exportButton: {
                            enabled: true
                        }
                    }
                },
            }

            $(document).ready(function() {
                var total_por = 0;
                var cod_docente = "<?php echo $cd_docente ?>";
                var gr = null;
                var ide_act;
                objSedes = $("#md_n_txtsedes");
                objJornada = $("#md_n_txtjornadas");
                $('#cont_estk_not_finals').width(window.outerWidth - 100)
                //
                /*//-----------------------------------------------------------------------------------------------------*/
                objSedes.change(function() {
                    cd_sede = $(this).val();
                    if (cod_docente == "") {
                        dt = {cod_cnds: cd_sede, codigo: 'a28', mopc: '0'}
                    } else {
                        dt = {cod_cnds: cod_docente + "|" + cd_sede, codigo: 'a25', mopc: '0'}
                    }
                    $.ajax({
                        type: "POST",
                        url: "includes/cargar_selec_normal.php",
                        data: dt,
                        success: function(dt) {
                            $("#md_n_txtjornadas").html(dt);
                            $("#md_n_txtjornadas").trigger("change");
                        },
                    });
                });

                /*//-----------------------------------------------------------------------------------------------------*/

                objJornada.change(function() {
                    cargaDtsGrafico();
                });

                /*//-----------------------------------------------------------------------------------------------------*/
                objSedes.trigger("change");
            });

            function cargaDtsGrafico() {
                optionsChart.subtitle.text = $.formatMsg(tmplSubtitle, [$("option:selected", objSedes).text().ucwords(), $("option:selected", objJornada).text().ucwords(), '<?php echo $sesion->getVar("anio") ?>']);
                $.ajax({
                    url: rutModulo + "list_prom_grupo.php",
                    data: {
                        sede: $("#md_n_txtsedes").val(),
                        jorn: $("#md_n_txtjornadas").val(),
                    },
                    success: function(rta) {
                        console.log(rta);
                        if (chart)
                            chart.destroy();
                        rta = $.parseJSON(rta);
                        console.log('hola rta',rta);

                        optionsChart.series = rta.series;
                        optionsChart.xAxis.categories = rta.category;
                        chart = new Highcharts.Chart(optionsChart);
                    }
                });
            }

        });
    </script>
    <body>
        <table align="center">
            <tr>
                <td colspan="2" align="center">
                    <table align="center">
                        <tr clas class="tit1">
                            <td><?php echo $dtsLang[globals][name_sede] ?></td>
                            <td><?php echo $dtsLang[globals][name_jornada] ?></td>
                        </tr>
                        <tr>
                            <td><select name="md_n_txtsedes" class="campos" id="md_n_txtsedes" style="width:250px; " >
                                    <?php
                                    $sql = "SELECT
							DISTINCT adm_sedes.cod_sede
							, adm_sedes.nom_sede
						FROM
							aca_grupos
							INNER JOIN adm_sedes 
								ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
							INNER JOIN aca_asignaturasxgrupos 
								ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo) ORDER BY adm_sedes.con_sede ASC";

                                    $academia->instruccion($sql);
                                    while ($reg = $academia->extraer_registro()) {
                                        echo "<option value='" . $reg[cod_sede] . "' nomsede='" . $reg[nom_sede] . "' aux='$cmpaux2' >" . $reg[nom_sede] . "</option>";
                                    }
                                    $academia->liberar();
                                    ?>
                                </select></td>
                            <td><select name="md_n_txtjornadas" class="campos" id="md_n_txtjornadas" style="width:160px">
                                    <option value="0x">Seleccionar...</option>
                                    <?php ?>
                                </select></td>
                            <td></td>
                        </tr>
                    </table>
                </td>
            </tr> 
            <tr>
                <td colspan="2" align="center">
                    <div id="cont_estk_not_finals" style="width:100%; height:550px"></div>
                </td>
            </tr>
        </table>

    </body>
</html>